Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Interface JPDAThreadGroup

    public interface JPDAThreadGroup

Represents one Java thread group in debugged process.

     Since JDI interfaces evolve from one version to another, it's strongly recommended
     not to implement this interface in client code. New methods can be added to
     this interface at any time to keep up with the JDI functionality.

Method Summary
`String` | `getName()` Getter for the name of thread group property.
`JPDAThreadGroup` | `getParentThreadGroup()` Returns parent thread group or null (for root thread group).
`JPDAThreadGroup[]` | `getThreadGroups()` Returns this thread group's thread groups.
`JPDAThread[]` | `getThreads()` Returns this thread group's threads.
`void` | `resume()` Unsuspends all threads and thread groups in this thread group.
`void` | `suspend()` Suspends all threads and thread groups in this thread group.

Method Detail

### getName

    String getName()

  Getter for the name of thread group property.

  Returns:
    name of thread group

### getParentThreadGroup

    JPDAThreadGroup getParentThreadGroup()

  Returns parent thread group or null (for root thread group).

  Returns:
    parent thread group or null (for root thread group)

### getThreads

    JPDAThread[] getThreads()

  Returns this thread group's threads.

  Returns:
    threads from this thread group

### getThreadGroups

    JPDAThreadGroup[] getThreadGroups()

  Returns this thread group's thread groups.

  Returns:
    thread groups s from this thread group

### suspend

    void suspend()

  Suspends all threads and thread groups in this thread group.

### resume

    void resume()

  Unsuspends all threads and thread groups in this thread group.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.